public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/pcsx2/
Date: Mon, 15 Jan 2024 07:29:59 +0000 (UTC)	[thread overview]
Message-ID: <1705303612.5d465d5586178c6441289109e789cbec2a331118.ionen@gentoo> (raw)

commit:     5d465d5586178c6441289109e789cbec2a331118
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 15 05:01:03 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Jan 15 07:26:52 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d465d55

games-emulation/pcsx2: force-remove lower bounds on Qt6 and SDL2

Upstream likes to bump these to very recent ones at arbitrary
points without seemingly being truly required.

Needed to be able to stabilize pcsx2 without bothering to stable
libsdl2-2.28.4 "right now" when 2.28.3 seems just fine still.
pcsx2-9999 had already needed to switch to 2.28.5 too (why..?).

If a version is found problematic, will add the needed lower
bound to *DEPEND only. Odds are very old Qt6 (e.g. 6.2) is likely
broken but these are long gone and won't worry about it.

Using sed given versions keep changing and want to avoid rebasing
a patch every time.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-emulation/pcsx2/pcsx2-1.7.5312.ebuild | 14 ++++++++++----
 games-emulation/pcsx2/pcsx2-9999.ebuild     | 16 +++++++++++-----
 2 files changed, 21 insertions(+), 9 deletions(-)

diff --git a/games-emulation/pcsx2/pcsx2-1.7.5312.ebuild b/games-emulation/pcsx2/pcsx2-1.7.5312.ebuild
index 223990367c6d..dfb2a1b447ac 100644
--- a/games-emulation/pcsx2/pcsx2-1.7.5312.ebuild
+++ b/games-emulation/pcsx2/pcsx2-1.7.5312.ebuild
@@ -31,11 +31,11 @@ RESTRICT="!test? ( test )"
 COMMON_DEPEND="
 	app-arch/xz-utils
 	dev-libs/libaio
-	>=dev-qt/qtbase-6.6.0:6[gui,widgets]
-	>=dev-qt/qtsvg-6.6.0:6
+	dev-qt/qtbase:6[gui,widgets]
+	dev-qt/qtsvg:6
 	media-libs/libglvnd
 	media-libs/libpng:=
-	>=media-libs/libsdl2-2.28.4[haptic,joystick]
+	media-libs/libsdl2[haptic,joystick]
 	media-video/ffmpeg:=
 	net-libs/libpcap
 	net-misc/curl
@@ -61,7 +61,7 @@ DEPEND="
 	x11-base/xorg-proto
 "
 BDEPEND="
-	>=dev-qt/qttools-6.6.0:6[linguist]
+	dev-qt/qttools:6[linguist]
 	wayland? (
 		dev-util/wayland-scanner
 		kde-frameworks/extra-cmake-modules
@@ -81,6 +81,12 @@ src_prepare() {
 		sed -e '/set(PCSX2_GIT_TAG "")/s/""/"v'${PV}'"/' \
 			-i cmake/Pcsx2Utils.cmake || die
 	fi
+
+	# relax Qt6 and SDL2 version requirements which often get restricted
+	# without a specific need, please report a bug to Gentoo (not upstream)
+	# if a still-available older version is really causing issues
+	sed -e '/find_package(\(Qt6\|SDL2\)/s/ [0-9.]*//' \
+		-i cmake/SearchForStuff.cmake || die
 }
 
 src_configure() {

diff --git a/games-emulation/pcsx2/pcsx2-9999.ebuild b/games-emulation/pcsx2/pcsx2-9999.ebuild
index 43536202eed1..178e5a77996c 100644
--- a/games-emulation/pcsx2/pcsx2-9999.ebuild
+++ b/games-emulation/pcsx2/pcsx2-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -33,11 +33,11 @@ COMMON_DEPEND="
 	app-arch/xz-utils
 	app-arch/zstd:=
 	dev-libs/libaio
-	>=dev-qt/qtbase-6.6.0:6[gui,widgets]
-	>=dev-qt/qtsvg-6.6.0:6
+	dev-qt/qtbase:6[gui,widgets]
+	dev-qt/qtsvg:6
 	media-libs/libglvnd
 	media-libs/libpng:=
-	>=media-libs/libsdl2-2.28.5[haptic,joystick]
+	media-libs/libsdl2[haptic,joystick]
 	media-libs/libwebp:=
 	media-video/ffmpeg:=
 	net-libs/libpcap
@@ -64,7 +64,7 @@ DEPEND="
 	x11-base/xorg-proto
 "
 BDEPEND="
-	>=dev-qt/qttools-6.6.0:6[linguist]
+	dev-qt/qttools:6[linguist]
 	wayland? (
 		dev-util/wayland-scanner
 		kde-frameworks/extra-cmake-modules
@@ -84,6 +84,12 @@ src_prepare() {
 		sed -e '/set(PCSX2_GIT_TAG "")/s/""/"v'${PV}'"/' \
 			-i cmake/Pcsx2Utils.cmake || die
 	fi
+
+	# relax Qt6 and SDL2 version requirements which often get restricted
+	# without a specific need, please report a bug to Gentoo (not upstream)
+	# if a still-available older version is really causing issues
+	sed -e '/find_package(\(Qt6\|SDL2\)/s/ [0-9.]*//' \
+		-i cmake/SearchForStuff.cmake || die
 }
 
 src_configure() {


             reply	other threads:[~2024-01-15  7:30 UTC|newest]

Thread overview: 157+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-01-15  7:29 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-08  6:05 [gentoo-commits] repo/gentoo:master commit in: games-emulation/pcsx2/ Arthur Zamarin
2024-07-22  7:01 Ionen Wolkens
2024-07-22  7:01 Ionen Wolkens
2024-07-22  7:01 Ionen Wolkens
2024-07-20 23:50 Ionen Wolkens
2024-07-19  5:41 Ionen Wolkens
2024-07-13  6:00 Joonas Niilola
2024-06-22  9:34 Ionen Wolkens
2024-06-22  9:34 Ionen Wolkens
2024-06-11  7:16 Joonas Niilola
2024-05-21 17:40 Ionen Wolkens
2024-05-13  5:27 Joonas Niilola
2024-04-26 13:07 Ionen Wolkens
2024-04-26 13:01 Ionen Wolkens
2024-04-26 13:01 Ionen Wolkens
2024-04-22  7:26 Ionen Wolkens
2024-04-22  7:26 Ionen Wolkens
2024-04-22  7:26 Ionen Wolkens
2024-04-10  6:06 Joonas Niilola
2024-04-07 12:32 Ionen Wolkens
2024-04-06  8:03 Ionen Wolkens
2024-03-31 12:09 Ionen Wolkens
2024-03-21  6:37 Joonas Niilola
2024-03-20  7:17 Ionen Wolkens
2024-03-02 14:46 Ionen Wolkens
2024-02-18 18:27 Ionen Wolkens
2024-02-18  8:07 Joonas Niilola
2024-02-17 10:20 Ionen Wolkens
2024-01-17 14:45 Ionen Wolkens
2024-01-17 14:45 Ionen Wolkens
2024-01-15  7:29 Ionen Wolkens
2024-01-15  7:29 Ionen Wolkens
2024-01-15  7:29 Ionen Wolkens
2023-12-31  7:10 Ionen Wolkens
2023-12-30 16:16 Ionen Wolkens
2023-12-19 11:44 Ionen Wolkens
2023-12-19 11:44 Ionen Wolkens
2023-12-19 11:44 Ionen Wolkens
2023-11-22 12:46 Ionen Wolkens
2023-11-19  5:54 Ionen Wolkens
2023-11-19  5:54 Ionen Wolkens
2023-10-26  5:40 Ionen Wolkens
2023-10-25  7:58 Ionen Wolkens
2023-10-19 13:35 Ionen Wolkens
2023-10-14  4:50 Ionen Wolkens
2023-09-19 11:36 Ionen Wolkens
2023-09-19 11:36 Ionen Wolkens
2023-09-19 11:36 Ionen Wolkens
2023-09-19 11:36 Ionen Wolkens
2023-09-17  4:26 Ionen Wolkens
2023-09-12 16:15 Ionen Wolkens
2023-08-27  5:03 Ionen Wolkens
2023-08-24  3:40 Ionen Wolkens
2023-07-25  0:10 Ionen Wolkens
2023-07-06  9:44 Ionen Wolkens
2023-06-24  4:14 Ionen Wolkens
2023-06-24  4:14 Ionen Wolkens
2023-06-02  6:54 Ionen Wolkens
2023-05-28 20:50 Andreas K. Hüttel
2023-05-26  2:39 Ionen Wolkens
2023-05-26  2:39 Ionen Wolkens
2023-05-23  2:52 Sam James
2023-05-16 17:21 Ionen Wolkens
2023-05-10 17:26 Ionen Wolkens
2023-05-10 17:26 Ionen Wolkens
2023-04-30 21:49 Ionen Wolkens
2023-04-26  8:37 Ionen Wolkens
2023-04-23  4:49 Ionen Wolkens
2023-03-28  7:41 Ionen Wolkens
2023-03-28  7:41 Ionen Wolkens
2023-03-25  3:19 Ionen Wolkens
2023-03-21  5:49 Ionen Wolkens
2023-03-19 22:44 Ionen Wolkens
2023-03-12  7:04 Ionen Wolkens
2023-02-13 11:46 Ionen Wolkens
2023-02-09 22:41 Ionen Wolkens
2023-02-02 22:52 Ionen Wolkens
2023-01-30 19:11 Ionen Wolkens
2023-01-25 22:33 Ionen Wolkens
2023-01-12 22:41 Ionen Wolkens
2023-01-11 11:26 Ionen Wolkens
2023-01-02 15:52 Ionen Wolkens
2023-01-02 11:08 Ionen Wolkens
2023-01-02  6:35 Ionen Wolkens
2023-01-02  5:47 Ionen Wolkens
2022-12-30 18:06 Ionen Wolkens
2022-12-29 20:29 Ionen Wolkens
2022-12-22  8:30 Ionen Wolkens
2022-12-19  5:48 Ionen Wolkens
2022-12-18  5:38 Ionen Wolkens
2022-11-20 21:33 Ionen Wolkens
2022-11-20 21:33 Ionen Wolkens
2022-10-21 10:27 Ionen Wolkens
2022-10-11 16:09 Andreas Sturmlechner
2022-10-03  5:25 Ionen Wolkens
2022-09-26 12:54 Ionen Wolkens
2022-09-23  4:00 Ionen Wolkens
2022-09-23  4:00 Ionen Wolkens
2022-09-23  3:02 Ionen Wolkens
2022-09-23  0:27 Ionen Wolkens
2022-08-12 22:00 James Le Cuirot
2022-06-23 21:04 Ionen Wolkens
2022-05-25  6:46 Ionen Wolkens
2022-05-19 15:20 Ionen Wolkens
2022-05-17  5:34 Sam James
2022-04-21  6:01 Ionen Wolkens
2022-03-14 11:43 Ionen Wolkens
2022-03-11  5:29 Ionen Wolkens
2022-03-02 19:35 Ionen Wolkens
2022-02-16 23:10 Ionen Wolkens
2022-01-27 21:10 Ionen Wolkens
2022-01-09 21:20 Ionen Wolkens
2022-01-06 20:52 Michał Górny
2022-01-06 15:02 Agostino Sarubbo
2022-01-05 23:09 Ionen Wolkens
2022-01-02  5:52 Sam James
2022-01-01 20:42 Ionen Wolkens
2022-01-01  8:14 Ionen Wolkens
2021-09-24 21:23 Ionen Wolkens
2021-04-10  4:24 Sam James
2021-04-05 22:26 David Seifert
2021-03-01  8:26 Joonas Niilola
2021-03-01  8:26 Joonas Niilola
2021-03-01  8:26 Joonas Niilola
2021-02-20 10:10 Michał Górny
2021-02-20  1:26 Sam James
2021-02-19 20:12 Thomas Deutschmann
2021-01-15  8:44 Joonas Niilola
2021-01-15  8:44 Joonas Niilola
2021-01-15  8:44 Joonas Niilola
2021-01-15  8:44 Joonas Niilola
2020-11-12 21:28 Patrice Clement
2020-10-27  7:35 Joonas Niilola
2020-08-11 23:24 Matt Turner
2020-05-24 15:42 Andreas Sturmlechner
2020-05-17 16:42 Joonas Niilola
2020-05-17 16:42 Joonas Niilola
2020-05-17 16:42 Joonas Niilola
2020-03-15 18:41 Agostino Sarubbo
2020-03-15 11:45 Agostino Sarubbo
2020-03-14 12:07 Joonas Niilola
2020-03-14 12:07 Joonas Niilola
2020-02-08 17:06 David Seifert
2019-10-16  5:22 Joonas Niilola
2019-08-28 15:54 Joonas Niilola
2019-08-02 13:50 Joonas Niilola
2019-08-02 13:48 Joonas Niilola
2019-05-26 20:23 David Seifert
2019-05-08 17:05 Andreas Sturmlechner
2019-05-08 17:05 Andreas Sturmlechner
2018-10-27  8:03 Michał Górny
2017-11-04  7:13 Michael Palimaka
2017-07-30  9:38 Michał Górny
2017-05-24 12:14 Michał Górny
2016-12-29 11:41 Agostino Sarubbo
2016-12-29 11:38 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1705303612.5d465d5586178c6441289109e789cbec2a331118.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox